## Content Events Topology

### Events Details and Schemas
| Events                      | [EventType](./common/v1/event_type.proto) | [EventCode](./common/v1/event_code.proto) | Protobuf Schema |   |
|-----------------------------|-------------------------------------------|-------------------------------------------|---|---|
| `ContentImpressionEvent`    | `EVENT_TYPE_TRACK` | `CONTENT_IMPRESSION` | [content_impression.proto](./events/content/v1/content_impression.proto) |   |
| `ContentClickedEvent`       | `EVENT_TYPE_TRACK` | `CONTENT_CLICKED` | [content_clicked.proto](./events/content/v1/content_clicked.proto)       |   |
| `UserPlayClickedEvent`      | `EVENT_TYPE_TRACK` | `USER_PLAY_CLICKED` | [user_play_clicked.proto](./events/user/v1/user_play_clicked.proto)      |   |
| `ListenSessionStartedEvent` | `EVENT_TYPE_TRACK` | `LISTEN_SESSION_STARTED` | [listen_session_started.proto](./events/listen/v1/listen_session_started.proto) |   |