## Display Events Topology



### Events Details and Schemas
| Events  | [EventType](./common/v1/event_type.proto)  | [EventCode](./common/v1/event_code.proto) |  Protobuf Schema |   |
|---|---|---|---|---|
|  `AdsDisplayClickedEvent` |  `EVENT_TYPE_TRACK` | `ADS_DISPLAY_CLICKED`  |  [ads_display_clicked.proto](./events/ads/v1/ads_display_clicked.proto) |   |
|  `AdsDisplayViewabilityStatusEvent` |  `EVENT_TYPE_TRACK` | `ADS_DISPLAY_VIEWABILITY_STATUS`  |  [ads_display_viewability_status.proto](./events/ads/v1/ads_display_viewability_status.proto) |   |
|  `AdsInstreamCompletedEvent` |  `EVENT_TYPE_TRACK` | `ADS_INSTREAM_COMPLETED`  |  [ads_instream_completed.proto](./events/ads/v1/ads_instream_completed.proto) |   |
|  `AdsInstreamQuartileStatusEvent` |  `EVENT_TYPE_TRACK` | `ADS_INSTREAM_QUARTILE_STATUS`  |  [ads_instream_quartile_status.proto](./events/ads/v1/ads_instream_quartile_status.proto) |   |
|  `AdsInstreamReceivedEvent` |  `EVENT_TYPE_TRACK` | `ADS_INSTREAM_RECEIVED`  |  [ads_instream_received.proto](./events/ads/v1/ads_instream_received.proto) |   |
|  `AdsInstreamStartedEvent` |  `EVENT_TYPE_TRACK` | `ADS_INSTREAM_STARTED`  |  [ads_instream_started.proto](./events/ads/v1/ads_instream_started.proto) |   |
|  `AdsStreamPlaybackErrorEvent` |  `EVENT_TYPE_TRACK` | `ADS_STREAM_PLAYBACK_ERROR`  |  [ads_stream_playback_error.proto](./events/ads/v1/ads_stream_playback_error.proto) |   |
|  `AdsInstreamStartedEvent` |  `EVENT_TYPE_TRACK` | `ADS_INSTREAM_STARTED`  |  [ads_instream_started.proto](./events/ads/v1/ads_instream_started.proto) |   |
|  `AdsDisplayImpressionEvent` |  `EVENT_TYPE_TRACK` | `ADS_DISPLAY_IMPRESSION`  |  [ads_display_impression.proto](./events/ads/v1/ads_display_impression.proto) |   |
